org.yaml.snakeyaml.tokens

## Class ScalarToken

- java.lang.Object
- - org.yaml.snakeyaml.tokens.Token
  - - org.yaml.snakeyaml.tokens.ScalarToken

    public final class ScalarToken
    extends Token

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.tokens.Token

`Token.ID`

### Constructor Summary

Constructors
Constructor and Description
`ScalarToken(String value, boolean plain, Mark startMark, Mark endMark, DumperOptions.ScalarStyle style)`
`ScalarToken(String value, Mark startMark, Mark endMark, boolean plain)`

### Method Summary

Methods
`boolean` `getPlain()`
`DumperOptions.ScalarStyle` `getStyle()`
`Token.ID` `getTokenId()` For error reporting.
`String` `getValue()`

### Methods inherited from class org.yaml.snakeyaml.tokens.Token

`getEndMark, getStartMark`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScalarToken

    public ScalarToken(String value,
               Mark startMark,
               Mark endMark,
               boolean plain)

#### ScalarToken

    public ScalarToken(String value,
               boolean plain,
               Mark startMark,
               Mark endMark,
               DumperOptions.ScalarStyle style)

### Method Detail

#### getPlain

    public boolean getPlain()

#### getValue

    public String getValue()

#### getStyle

    public DumperOptions.ScalarStyle getStyle()

#### getTokenId

    public Token.ID getTokenId()

Description copied from class: `Token`
For error reporting.

Specified by:
  `getTokenId` in class `Token`
Returns:
  ID of this token
See Also:
  "class variable 'id' in PyYAML"